package org.gcube.smartgears.handler.resourceregistry;

import org.gcube.resourcemanagement.model.reference.entities.resources.EService;
import org.gcube.resourcemanagement.model.reference.entities.resources.HostingNode;

/**
 * Library-wide constants.
 * @author Luca Frosini
 * @author Lucio Lelii
 */
public class Constants {

	public static final String HOSTING_NODE_PROPERTY = HostingNode.NAME;
	
	/**
	 * The configuration name of {@link EServiceManager} and {@link HostingNodeManager}.
	 */
	public static final String RESOURCE_MANAGEMENT = "resource-management";
	
	/**
	 * The name of the context property that contains the EService Resource.
	 */
	public static final String ESERVICE_PROPERTY = EService.NAME;
	
	public static final long default_container_publication_frequency_in_seconds = 60;
	
	public static final int application_republish_frequency_in_minutes = 20;
	
}
